io.vertx.ext.web.validation

## Interface RequestParameter

-     public interface RequestParameter

  Request parameter holder
  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestParameter` | `create(Object value)`
    `Object` | `get()`
    `Boolean` | `getBoolean()`
    `Buffer` | `getBuffer()`
    `Double` | `getDouble()`
    `Float` | `getFloat()`
    `Integer` | `getInteger()`
    `JsonArray` | `getJsonArray()`
    `JsonObject` | `getJsonObject()` Returns null if value is not a `JsonObject`, otherwise it returns value
    `Long` | `getLong()`
    `String` | `getString()`
    `boolean` | `isBoolean()`
    `boolean` | `isBuffer()`
    `boolean` | `isEmpty()`
    `boolean` | `isJsonArray()`
    `boolean` | `isJsonObject()`
    `boolean` | `isNull()`
    `boolean` | `isNumber()`
    `boolean` | `isString()`

- - ### Method Detail

    - #### getString

          String getString()

      Returns:
        null if value is not a `String`, otherwise it returns value

    - #### isString

          boolean isString()

      Returns:
        true if value of this instance is a `String` instance

    - #### getInteger

          Integer getInteger()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Integer`

    - #### getLong

          Long getLong()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Long`

    - #### getFloat

          Float getFloat()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Float`

    - #### getDouble

          Double getDouble()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Double`

    - #### isNumber

          boolean isNumber()

      Returns:
        true if value of this instance is a `Number` instance

    - #### getBoolean

          Boolean getBoolean()

      Returns:
        null if value is not a `Boolean`, otherwise it returns value

    - #### isBoolean

          boolean isBoolean()

      Returns:
        true if value of this instance is a `Boolean` instance

    - #### getJsonObject

          JsonObject getJsonObject()

      Returns null if value is not a `JsonObject`, otherwise it returns value
      Returns:

    - #### isJsonObject

          boolean isJsonObject()

      Returns:
        true if value of this instance is a `JsonObject` instance

    - #### getJsonArray

          JsonArray getJsonArray()

      Returns:
        null if value is not a `JsonArray`, otherwise it returns value

    - #### isJsonArray

          boolean isJsonArray()

      Returns:
        true if value of this instance is a `JsonArray` instance

    - #### getBuffer

          Buffer getBuffer()

      Returns:
        null if value is not a `Buffer`, otherwise it returns value

    - #### isBuffer

          boolean isBuffer()

      Returns:
        true if value of this instance is a `Buffer` instance

    - #### isNull

          boolean isNull()

      Returns:
        true if value is null

    - #### isEmpty

          boolean isEmpty()

      Returns:
        True if it's an empty string, an empty json object/array, an empty buffer or it's null

    - #### get

          Object get()

      Returns:
        the internal value. The internal value is always a valid Vert.x JSON type

    - #### create

          static RequestParameter create(Object value)

Copyright © 2023 Eclipse. All rights reserved.